# MovieClip.removeMovieClip() test code for GNU Flash Player
# Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released to public domain under Creative Commons Zero 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)
# 
# Note: Don't set SWF to version higher than 6, as SWFC 0.9.2 seems to
#       convert `MovieClip.removeMovieClip()` call to lower case.

.flash bbox=320x240 fps=12 background=white version=6
	.frame 1
		.sprite SubMovieClip
			.box box1 width=50 height=50 color=#ff9900 line=0 fill
			.frame 1
				.put box1 x=0 y=0
		.end
		.action:
			var interval;
			var submovie;
			
			trace("removemovie-interval-fromroot: attaching submovie");
			submovie=this.attachMovie("SubMovieClip","submovie",1);
			submovie.testVariable=5;
			interval=setInterval(
				function() {
					clearInterval(interval);
					trace("removemovie-interval-fromroot: submovie: interval: removing self (testVariable="+submovie.testVariable+")");
					submovie.removeMovieClip();
					trace("removemovie-interval-fromroot: submovie: interval: end (testVariable="+submovie.testVariable+")");
				},
				0
			);
		.end
.end
